<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Form Demo</title>
</head>

<body>
    <h1>Please Fill the Form</h1>
    <form action="https://frogaccelerator.com/submit-app/" method="POST" enctype="multipart/form-data">
        <table width="500">
            <tr>
                <td>
                    Eesnimi
                </td>
                <td>
                    <input type="text" name="firstName" 
                    required minlength="3" maxlength="25">
                </td>
            </tr>
            <tr>
                <td>
                    Perenimi
                </td>
                <td>
                    <input type="text" name="lastName"
                    required minlength="3" maxlength="25">
                </td>
            </tr>
            <tr>
                <td>
                    Sugu
                </td>
                <td>
                    <select name="gender" required>
                        <option value=""></option>
                        <option value="F">Naine</option>
                        <option value="M">Mees</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>
                    Sünniaeg
                </td>
                <td>
                    <input type="date" name="dateOfBirth" required>
                </td>
            </tr>
            <tr>
                <td>
                    Perekonnaseis
                </td>
                <td>
                    <input type="radio" name="maritalStatus" id="maritalStatusSingle" value="single" required>
                    <label for="maritalStatusSingle">Vallaline</label><br>
                    <input type="radio" name="maritalStatus" id="maritalStatusMarried" value="married">
                    <label for="maritalStatusMarried">Abielus</label><br>
                    <input type="radio" name="maritalStatus" id="maritalStatusCommitted" value="committed">
                    <label for="maritalStatusCommitted">Vabaabielus</label><br>
                </td>
            </tr>
            <tr>
                <td>
                    E-post
                </td>
                <td>
                    <input type="email" name="email" required>
                </td>
            </tr>
            <tr>
                <td>
                    Parool
                </td>
                <td>
                    <input type="password" name="password" required>
                </td>
            </tr>
            <tr>
                <td>
                    Hobid
                </td>
                <td>
                    <input type="checkbox" name="hobbies[]" id="hobbiesRunning" value="running">
                    <label for="hobbiesRunning">Jooksmine</label><br>
                    <input type="checkbox" name="hobbies[]" id="hobbiesHiking" value="hiking">
                    <label for="hobbiesHiking">Jooksmine</label><br>
                    <input type="checkbox" name="hobbies[]" id="hobbiesReading" value="reading">
                    <label for="hobbiesReading">Lugemine</label><br>
                </td>
            </tr>
            <tr>
                <td>
                    Külastatud riikide arv
                </td>
                <td>
                    <input type="number" name="numberOfVisitedCountries"
                    required min="1" max="200" pattern="^\d+$">
                </td>
            </tr>
            <tr>
                <td>
                    Foto
                </td>
                <td>
                    <input type="file" name="photo" required>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <button type="reset">Algväärtusta</button>
                    <button type="submit">Saada</button>
                </td>
            </tr>
        </table>
    </form>
</body>

</html>